-- MySQL dump 10.13  Distrib 5.1.46, for suse-linux-gnu (i686)
--
-- Host: localhost    Database: paulo
-- ------------------------------------------------------
-- Server version	5.1.46-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Aluno`
--

DROP TABLE IF EXISTS `Aluno`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Aluno` (
  `alu_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `alu_Nome` varchar(40) NOT NULL,
  PRIMARY KEY (`alu_Cod`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Aluno`
--

LOCK TABLES `Aluno` WRITE;
/*!40000 ALTER TABLE `Aluno` DISABLE KEYS */;
INSERT INTO `Aluno` VALUES (1,'SantClear'),(2,'Bruna'),(3,'Anderson'),(4,'Rafael'),(5,'Ajoao');
/*!40000 ALTER TABLE `Aluno` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Disciplina`
--

DROP TABLE IF EXISTS `Disciplina`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Disciplina` (
  `dis_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `dis_Nome` varchar(40) NOT NULL,
  PRIMARY KEY (`dis_Cod`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Disciplina`
--

LOCK TABLES `Disciplina` WRITE;
/*!40000 ALTER TABLE `Disciplina` DISABLE KEYS */;
INSERT INTO `Disciplina` VALUES (1,'Cálculo'),(2,'Eletrônica Digital'),(3,'Projeto Orientado a Objetos'),(4,'Projeto de Redes Metálicas e Óticas'),(5,'Sinais e Sistemas Lineares'),(6,'dPOO');
/*!40000 ALTER TABLE `Disciplina` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Faltas`
--

DROP TABLE IF EXISTS `Faltas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Faltas` (
  `fal_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `fal_Data` varchar(10) NOT NULL,
  `fal_NumFaltas` int(11) NOT NULL,
  `fal_Matrícula` int(11) NOT NULL,
  PRIMARY KEY (`fal_Cod`),
  KEY `FK_Fal_Mat` (`fal_Matrícula`),
  CONSTRAINT `FK_Fal_Mat` FOREIGN KEY (`fal_Matrícula`) REFERENCES `Matrícula` (`mat_Cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Faltas`
--

LOCK TABLES `Faltas` WRITE;
/*!40000 ALTER TABLE `Faltas` DISABLE KEYS */;
INSERT INTO `Faltas` VALUES (14,'08/12/2010',1,2),(15,'10/11/2010',0,1),(16,'33/33/3333',13,2),(17,'55/55/5555',111,2),(18,'77/77/7777',150,4),(19,'77/77/7777',8888,2),(20,'88/88/8888',1,2),(21,'33/33/3333',666,1),(22,'44/44/4444',156,1),(23,'66/66/6666',203,1),(24,'11/11/1111',12,1),(25,'68/77/7777',987,1),(26,'99/99/9999',777,1),(27,'33/33/3333',777,1),(28,'66/66/6666',78,1),(29,'54/65/4564',147,1),(30,'22/11/2200',3,2),(31,'66/66/6666',0,8),(32,'22/12/2000',6,9);
/*!40000 ALTER TABLE `Faltas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Matrícula`
--

DROP TABLE IF EXISTS `Matrícula`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Matrícula` (
  `mat_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `mat_Turma` int(11) NOT NULL,
  `mat_Aluno` int(11) NOT NULL,
  PRIMARY KEY (`mat_Cod`),
  KEY `FK_Mat_Tur` (`mat_Turma`),
  KEY `FK_Mat_Alu` (`mat_Aluno`),
  CONSTRAINT `FK_Mat_Alu` FOREIGN KEY (`mat_Aluno`) REFERENCES `Aluno` (`alu_Cod`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_Mat_Tur` FOREIGN KEY (`mat_Turma`) REFERENCES `Turma` (`tur_Cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Matrícula`
--

LOCK TABLES `Matrícula` WRITE;
/*!40000 ALTER TABLE `Matrícula` DISABLE KEYS */;
INSERT INTO `Matrícula` VALUES (1,17,1),(2,18,3),(4,19,4),(6,18,1),(7,21,1),(8,17,4),(9,22,5),(10,23,1);
/*!40000 ALTER TABLE `Matrícula` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Professor`
--

DROP TABLE IF EXISTS `Professor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Professor` (
  `pro_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `pro_Nome` varchar(40) NOT NULL,
  PRIMARY KEY (`pro_Cod`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Professor`
--

LOCK TABLES `Professor` WRITE;
/*!40000 ALTER TABLE `Professor` DISABLE KEYS */;
INSERT INTO `Professor` VALUES (1,'Emerson'),(2,'Ederson'),(3,'Silviana'),(4,'Santclear'),(5,'pJoao');
/*!40000 ALTER TABLE `Professor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Turma`
--

DROP TABLE IF EXISTS `Turma`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Turma` (
  `tur_Cod` int(11) NOT NULL AUTO_INCREMENT,
  `tur_Disciplina` int(11) NOT NULL,
  `tur_Professor` int(11) NOT NULL,
  `tur_Ano` int(11) DEFAULT NULL,
  `tur_Turno` int(11) DEFAULT NULL,
  PRIMARY KEY (`tur_Cod`),
  KEY `FK_Tur_Dis` (`tur_Disciplina`),
  KEY `FK_Tur_Pro` (`tur_Professor`),
  CONSTRAINT `FK_Tur_Dis` FOREIGN KEY (`tur_Disciplina`) REFERENCES `Disciplina` (`dis_Cod`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_Tur_Pro` FOREIGN KEY (`tur_Professor`) REFERENCES `Professor` (`pro_Cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Turma`
--

LOCK TABLES `Turma` WRITE;
/*!40000 ALTER TABLE `Turma` DISABLE KEYS */;
INSERT INTO `Turma` VALUES (17,1,3,2010,2),(18,4,2,2010,3),(19,2,1,2010,3),(21,1,1,2050,3),(22,6,5,2010,3),(23,6,2,2010,3);
/*!40000 ALTER TABLE `Turma` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-12-16 10:51:11
